API Explorer 935 endpoints

Get Correlated Entities for the current User

GET /obp/v7.0.0/my/correlated-entities

OBPv4.0.0-getMyCorrelatedEntities No role required Customer

Correlated Entities are users and customers linked to the currently authenticated user via User-Customer-Links

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (39)
amount
10.12
bank_id
gh.29.uk
branch_id
DERBY6
correlated_entities
correlated_entities
currency
EUR
customer
customer_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
customer_number
5987953
date
2020-01-27
date_of_birth
2018-03-09
dependants
1
dob_of_dependants
[2019-09-08, 2017-07-12]
email
felixsmith@example.com
employment_status
worker
face_image
highest_education_attained
Master
insert_date
2020-01-27
kyc_status
false
last_ok_date
2025-10-21T01:45:31.340Z
legal_name
Eveline Tripman
mobile_phone_number
+49 30 901820
name
ACCOUNT_MANAGEMENT_FEE
name_suffix
Sr
provider
ETHEREUM
provider_id
rating
relationship_status
single
source
title
Dr.
type
url
http://www.example.com/id-docs/123/image.png
user_attribute_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
user_attributes
user_attributes
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
username
felixsmith
users
user list
value
5987953
credit_limit
credit_rating
Example success response
{
  "correlated_entities": [
    {
      "customer": {
        "bank_id": "gh.29.uk",
        "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
        "customer_number": "5987953",
        "legal_name": "Eveline Tripman",
        "mobile_phone_number": "+44 07972 444 876",
        "email": "felixsmith@example.com",
        "face_image": {
          "url": "www.openbankproject",
          "date": "1100-01-01T00:00:00Z"
        },
        "date_of_birth": "1100-01-01T00:00:00Z",
        "relationship_status": "single",
        "dependants": 1,
        "dob_of_dependants": [
          "1100-01-01T00:00:00Z"
        ],
        "credit_rating": {
          "rating": "OBP",
          "source": "OBP"
        },
        "credit_limit": {
          "currency": "EUR",
          "amount": "0"
        },
        "highest_education_attained": "Master",
        "employment_status": "worker",
        "kyc_status": false,
        "last_ok_date": "2025-10-21T01:45:41Z",
        "title": "Dr.",
        "branch_id": "DERBY6",
        "name_suffix": "Sr"
      },
      "users": [
        {
          "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
          "email": "felixsmith@example.com",
          "provider_id": "Chris",
          "provider": "http://127.0.0.1:8080",
          "username": "felixsmith",
          "user_attributes": [
            {
              "user_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
              "name": "BATTERY_LEVEL",
              "type": "STRING",
              "value": "90",
              "insert_date": "2026-10-21T01:45:42Z"
            }
          ]
        }
      ]
    }
  ]
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 getMyCorrelatedEntities Originally /obp/v4.0.0/my/correlated-entities